LibreOffice: XTextSection Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Member Functions | List of all members
XTextSection Interface Referencepublished

provide special data of a TextSection. More...

`import"XTextSection.idl";`

Inheritance diagram for XTextSection:

## Public Member Functions
com::sun::star::text::XTextSection | getParentSection ()
| If the object is a child section, then this method returns the parent text section. More...
sequence< com::sun::star::text::XTextSection > | getChildSections ()
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provide special data of a TextSection.

See also
  TextSection

## Member Function Documentation

## § getChildSections()

sequence<com::sun::star::text::XTextSection> getChildSections | ( |  | ) |

Returns
  all text sections that are children of this text section (recursive).

## § getParentSection()

com::sun::star::text::XTextSection getParentSection | ( |  | ) |

If the object is a child section, then this method returns the parent text section.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextSection.idl